> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.talqora.com/api-reference/workspace/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.talqora.com/_mcp/server. # Organization GET https://api.talqora.com/v1/organization Reference: https://docs.talqora.com/api-reference/workspace/get ## Authentication - `Authorization` header (bearer token, required) — Use a tq_live_ API key as a Bearer token. ## Request ### Headers - `x-talqora-organization-id` (string, optional, nullable) ## Response ### 200 Successful Response - `organization_id` (string, required) - `organization_name` (string, required) - `role` (enum, required) - Allowed values: `owner`, `member` - `subscription_status` (string, required) - `cancel_at_period_end` (boolean, required) - `current_period_end` (datetime, required, nullable) - `limits` (map from string to integer, required) - `features` (map from string to boolean, required) - `rate_limits` (map from string to integer, required) - `onboarded` (boolean, optional, default: false) - `plan` (enum, optional, default: developer) - Allowed values: `developer`, `scale`, `enterprise` ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Response** ```json { "organization_id": "string", "organization_name": "string", "role": "owner", "subscription_status": "string", "cancel_at_period_end": true, "current_period_end": "2024-01-15T09:30:00Z", "limits": {}, "features": {}, "rate_limits": {}, "onboarded": false, "plan": "developer" } ``` **SDK Code** ```python import requests url = "https://api.talqora.com/v1/organization" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.talqora.com/v1/organization'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.talqora.com/v1/organization" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.talqora.com/v1/organization") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.talqora.com/v1/organization") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.talqora.com/v1/organization', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.talqora.com/v1/organization"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.talqora.com/v1/organization")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```